> For the complete documentation index, see [llms.txt](https://docs.secoda.co/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.secoda.co/integrations/data-visualization-tools/thoughtspot.md).

# ThoughtSpot

An overview of the Thoughtspot integration with Secoda

{% content-ref url="/pages/DmqQBbNciytTHkCBNx1b" %}
[ThoughtSpot Metadata Extracted](/integrations/data-visualization-tools/thoughtspot/thoughtspot-metadata-extracted.md)
{% endcontent-ref %}

There are four steps to connect ThoughtSpot with Secoda:

1. Retrieve your ThoughtSpot host
2. Retrieve your ThoughtSpot username and password
3. Retrieve your ThoughtSpot Organization Id (Optional)
4. Connect ThoughtSpot to Secoda

#### **Retrieve your host** <a href="#h_75eb18a905" id="h_75eb18a905"></a>

Your **host** is the url of your ThoughtSpot instance **not including** the port. For example if your site is: `https://my2.thoughtspot.cloud/#/` the **host** is `my2.thoughtspot.cloud`

**Retrieve your username and password**

This will be the account that you want to use to connect to Secoda. It is recommended that you create a new account for Secoda in ThoughtSpot and connect to Secoda using the corresponding credentials.

**Note:** The ThoughtSpot integration requires the account to have `ADMINISTRATION` permissions in ThoughtSpot to be able to grab all the metadata.

**Retrieve your ThoughtSpot Organization Id (Optional)**

If you are part of multiple ThoughtSpot organizations, you can specify which organization you want to pull the metadata from by entering the organization Id. This is available in the admin Tab under `Orgs`

#### &#x20;<a href="#h_f136e3163c" id="h_f136e3163c"></a>

#### **Connect ThoughtSpot to Secoda** <a href="#h_f136e3163c" id="h_f136e3163c"></a>

After retrieving your Looker Client ID, Client Secret, and host , the next step is to connect to Secoda:

1. In the Secoda App, select **Add Integration** on the Integrations tab
2. Search for and select ThoughtSpot
3. Enter your username, password, host, and organization ID (Optional) you retrieved above
4. Click 'Connect'


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.secoda.co/integrations/data-visualization-tools/thoughtspot.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
